if not exists (select * FROM sys.sysobjects where id = object_id(N'dbo.BackupJobUser'))
    create table dbo.BackupJobUser
    (
        BackupJobID uniqueidentifier not null constraint FK_BackupJobUser_BackupJob foreign key references dbo.BackupJob(ID),
        UserID uniqueidentifier not null constraint FK_BackupJobUser_UserAccount foreign key references dbo.UserAccount(ID) on delete cascade,
        CreationDate datetime not null constraint DF_BackupJobUser_CreationDate default (getutcdate()),
        CreationUsername nvarchar(256) null,
        CreationLoggedUserName nvarchar(256) null,
        constraint PK_BackupJobUser primary key clustered (BackupJobID asc, UserID asc)
    );